Bug 49382 - Both openssl-0.9.5a and openssl095a-0.9.5a can be installed simultaneously, which is confusing.
Both openssl-0.9.5a and openssl095a-0.9.5a can be installed simultaneously, w...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssl095a (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-18 16:27 EDT by Göran Uddeborg
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 23:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2001-07-18 16:27:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [sv] (X11; U; Linux 2.2.19-7.0.1 i686)

Description of problem:
On a system where openssl-0.9.5a-1 already existed, I installed
openssl095a-0.9.5a-7 from beta 1.  Rpm did not complain about this, and
both packages live side by side.

22:16 uebn> rpm -q --whatprovides libcrypto.so.0
openssl-0.9.5a-1
openssl095a-0.9.5a-7

In particular the situation in /usr/lib is a bit confusing:

22:26 uebn> ls -l /usr/lib/libcrypto*
lrwxrwxrwx   1 root     root           18 Sep  9  2000
/usr/lib/libcrypto.so -> libcrypto.so.0.9.5
lrwxrwxrwx   1 root     root           19 Jul 18 22:10
/usr/lib/libcrypto.so.0 -> libcrypto.so.0.9.5a
-rwxr-xr-x   1 root     root       908558 Apr  1  2000
/usr/lib/libcrypto.so.0.9.5
-rwxr-xr-x   1 root     root       887109 Jun 25 08:01
/usr/lib/libcrypto.so.0.9.5a

I'm not sure if this actually causes any problems when executing programs. 
But I see no point in allowing this, so I would suggest openssl095a to
conflict (in the RPM sense) with openssl < 0.9.6.


How reproducible:
Always

Steps to Reproduce:
Take a system where openssl-0.9.5a is installed, and install
openssl095a-0.9.5a.
Comment 1 Glen Foster 2001-07-19 17:10:38 EDT
This defect considered SHOULD-FIX for Fairfax.
Comment 2 Nalin Dahyabhai 2001-08-06 23:57:30 EDT
The ldconfig symlink is normal, and I don't think we've shipped libssl.so.0.9.5
in any of our openssl packages, but adding the conflicts is a good idea --
they'll be in openssl095a-0.9.5a-11 and openssl096-0.9.6-6.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.